# $Revision: 1.4 $, $Date: 2003/09/12 17:28:14 $
#
# Conditional build:
# _without_tests	- do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Network Kanji code conversion Filter
Summary(pl):	Sieciowy filtr konwertujcy kod Kanji
Name:		nkf
Version:	2.02
%define	fver	%(echo %{version} | tr -d .)
Release:	2
License:	BSD-like
Group:		Applications/Text
Source0:	http://www01.tcp-ip.or.jp/~furukawa/nkf_utf8/%{name}%{fver}.tar.gz
# Source0-md5:	5157b91879471b450997f4eec5af62e6
URL:		http://www01.tcp-ip.or.jp/~furukawa/nkf_utf8/
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nkf is a yet another kanji code converter among networks, hosts and
terminals. It converts input kanji code to designated kanji code such
as 7-bit JIS, MS-kanji (shifted-JIS), utf-8 or EUC. One of the most
unique facicility of nkf is the guess of the input kanji code. It
currently recognizes 7-bit JIS, MS-kanji (shifted-JIS), utf-8 and EUC.
So users needn't the input kanji code specification.

%description -l pl
nkf to jeszcze jeden konwerter kodu kanji pomidzy sieciami, hostami i
terminalami. Konwertuje wejcie w kodzie kanji do konkretnego kodu
kanji, takiego jak 7-bitowy JIS, MS-kanji (przesunity JIS), utf-8 lub
EUC. Jednym z unikalnych udogodnie nkf jest to, e rozpoznaje
wejciowy kod kanji. Aktualnie rozpoznaje 7-bitowy JIS, MS-kanji
(przesunity JIS), utf-8 i EUC. Dziki temu uytkownicy nie musz zna
specyfikacji wejciowego kodu kanji.

%package -n perl-NKF
Summary:	NKF - Perl extension for Network Kanji Filter
Summary(pl):	NKF - rozszerzenie Perla dla sieciowy filtra Kanji
Group:		Development/Languages/Perl

%description -n perl-NKF
This is a Perl Extension version of nkf (Network Kanji Filter). It
converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%description -n perl-NKF -l pl
To jest nkf (Network Kanji Filter - sieciowego filtra kanji) jako
rozszerzenie Perla. Konwertuje tekst podany jako ostatni argument i
zwraca wynik konwersji. Szczegy konwersji podaje si przy pomocy
flag przed ostatnim argumentem.

%prep
%setup -q -n %{name}%{fver}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

cd NKF.mod
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_mandir}/ja/man1}

%{__make} -C NKF.mod install \
	DESTDIR=$RPM_BUILD_ROOT

install nkf $RPM_BUILD_ROOT%{_bindir}
install nkf.1 $RPM_BUILD_ROOT%{_mandir}/man1
install nkf.1j $RPM_BUILD_ROOT%{_mandir}/ja/man1/nkf.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nkf
%{_mandir}/man1/nkf.1*
%{_mandir}/ja/man1/nkf.1*

%files -n perl-NKF
%defattr(644,root,root,755)
%doc NKF.mod/{Changes,README}
%{perl_vendorarch}/NKF.pm
%dir %{perl_vendorarch}/auto/NKF
%{perl_vendorarch}/auto/NKF/NKF.bs
%attr(755,root,root) %{perl_vendorarch}/auto/NKF/NKF.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nkf.spec,v $
Revision 1.4  2003/09/12 17:28:14  blues
- cosmetics

Revision 1.3  2003/09/12 14:43:29  twittner
- Release 2: now rel.1 is for Ra* on RA-branch,
  rel.2 for newer than Ra*

Revision 1.2  2003/08/30 19:21:05  twittner
- removed "BuildArch: noarch" (`file` tell you truth)

Revision 1.1  2003/08/26 13:24:36  qboosh
- new (contains perl-NKF required by namazu)

